.TH "mca_btl_tcp_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_tcp_component_t \- Infiniband (TCP) BTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_tcp.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "uint32_t \fBtcp_num_btls\fP"
.br
.RI "\fInumber of hcas available to the TCP component \fP"
.ti -1c
.RI "\fBmca_btl_tcp_module_t\fP ** \fBtcp_btls\fP"
.br
.RI "\fIarray of available BTL modules \fP"
.ti -1c
.RI "\fBmca_btl_tcp_proc_t\fP * \fBtcp_local\fP"
.br
.RI "\fIlocal proc struct \fP"
.ti -1c
.RI "int \fBtcp_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBtcp_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBtcp_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "opal_hash_table_t \fBtcp_procs\fP"
.br
.RI "\fIhash table of tcp proc structures \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBtcp_events\fP"
.br
.RI "\fIlist of pending tcp events \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBtcp_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "opal_event_t \fBtcp_recv_event\fP"
.br
.RI "\fIrecv event for listen socket \fP"
.ti -1c
.RI "int \fBtcp_listen_sd\fP"
.br
.RI "\fIlisten socket for incoming connection requests \fP"
.ti -1c
.RI "unsigned short \fBtcp_listen_port\fP"
.br
.RI "\fIlisten port \fP"
.ti -1c
.RI "char * \fBtcp_if_include\fP"
.br
.RI "\fIcomma seperated list of interface to include \fP"
.ti -1c
.RI "char * \fBtcp_if_exclude\fP"
.br
.RI "\fIcomma seperated list of interface to exclude \fP"
.ti -1c
.RI "int \fBtcp_sndbuf\fP"
.br
.RI "\fIsocket sndbuf size \fP"
.ti -1c
.RI "int \fBtcp_rcvbuf\fP"
.br
.RI "\fIsocket rcvbuf size \fP"
.ti -1c
.RI "ompi_free_list_t \fBtcp_frag_eager\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBtcp_frag_max\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBtcp_frag_user\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Infiniband (TCP) BTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
